%define rel_ver %(echo %{version} | awk -F. '{print $1"."$2}')

Summary:		Display dialog boxes from shell scripts
Name:			zenity
Version:		3.99.1
Release:		2%{?dist}
License:		LGPL-2.1-or-later
URL:			https://wiki.gnome.org/Projects/Zenity
Source0:		https://download.gnome.org/sources/%{name}/%{rel_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gcc gettext itstool meson which
BuildRequires:  pkgconfig(libadwaita-1) >= 1.2
BuildRequires:  xorg-x11-server-Xvfb desktop-file-utils /usr/bin/help2man

%description
Zenity lets you display Gtk+ dialog boxes from the command line and through
shell scripts. It is similar to gdialog, but is intended to be saner. It comes
from the same family as dialog, Xdialog, and cdialog.

%prep
%autosetup

%build
%meson
# Man page generation requires running the in-tree zenity command.
%{shrink:xvfb-run -w 10 -d %meson_build}

%install
%meson_install
rm -f %{buildroot}%{_bindir}/gdialog
%find_lang zenity --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Zenity.desktop

%files -f zenity.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/zenity
%{_datadir}/applications/org.gnome.Zenity.desktop
%{_datadir}/icons/hicolor/48*48/apps/zenity.png
%{_mandir}/man1/zenity.1*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.99.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 Wang Guodong <gordonwwang@tencent.com> - 3.99.1-1
- Upgrade to version 3.99.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 15 2022 Xiaojie Chen <jackxjchen@tencent.com> - 3.43.0-1
- Initial build
